<template>
    <div>
        <ConsultantList
            :agents="pageList"
        ></ConsultantList>

        <UiPagination
            :totalList="consultantList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop, Getter } from 'nuxt-property-decorator';
import { Consultants } from '~/assets/ts/api/consultant';

@Component
export default class ConsultantPage extends Vue {
    @Prop() consultantList!: Consultants[];
    @Getter isLogin!: boolean;
    pageList: Consultants[] = [];

    changePage(pageList: Consultants[]) {
        this.pageList = pageList;
    }

}
</script>